Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.stats
Class ObserverStatisticsRecorderMBeanDescription

    java.lang.Object
      mx4j.MBeanDescriptionAdapter
          mx4j.tools.stats.StatisticsRecorderMBeanDescription
              mx4j.tools.stats.ObserverStatisticsRecorderMBeanDescription

All Implemented Interfaces:
  MBeanDescription

Direct Known Subclasses:
  TimedStatisticsRecorderMBeanDescription

public class ObserverStatisticsRecorderMBeanDescription
extends StatisticsRecorderMBeanDescription

Management interface descriptions for the ObserverStatisticsRecorder MBean.

Version:
  $Revision: 1.3 $

Constructor Summary
`ObserverStatisticsRecorderMBeanDescription()`

Method Summary
`java.lang.String` | `getAttributeDescription(java.lang.String attribute)` Should return the description for the specified attribute.

Methods inherited from class mx4j.tools.stats.StatisticsRecorderMBeanDescription
`getOperationDescription`

Methods inherited from class mx4j.MBeanDescriptionAdapter
`getConstructorDescription, getConstructorParameterDescription, getConstructorParameterName, getMBeanDescription, getOperationParameterDescription, getOperationParameterName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObserverStatisticsRecorderMBeanDescription

    public ObserverStatisticsRecorderMBeanDescription()

Method Detail

### getAttributeDescription

    public java.lang.String getAttributeDescription(java.lang.String attribute)

  Description copied from interface: `MBeanDescription`
  Should return the description for the specified attribute. For example: "The port on which the rmiregistry will wait on for client requests"

  Specified by:
    `getAttributeDescription` in interface `MBeanDescription`
  Overrides:
    `getAttributeDescription` in class `StatisticsRecorderMBeanDescription`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.